Veo3
Google's Veo 3 for high-quality video generation
Features
- Text-to-video generation
- High quality output
- Multiple aspect ratios
- Optional watermark removal
Pricing
| Model | Credits |
|---|---|
| veo3 (high quality) | 130 (~$1.44) |
| veo3_fast (faster) | 30 (~$0.33) |
Endpoint
POST
/api/v1/videos/generateParameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| model | string | Required | "veo3" or "veo3_fast" |
| type | string | Optional | "text-to-video" or "image-to-video" (default: text-to-video) |
| prompt | string | Required | Text description of the video |
| image_urls | string[] | Optional | Input image URLs for image-to-video |
| input_image | string | Optional | Deprecated. Alias for image_urls[0] |
| aspect_ratio | string | Optional | "16:9", "9:16", or "Auto" (aliases: "landscape", "portrait", "square") |
| watermark | boolean | Optional | Include watermark (default: true) |
| seeds | number | Optional | Random seed for reproducibility |
| enable_fallback | boolean | Optional | Enable fallback providers |
| enable_translation | boolean | Optional | Auto-translate non-English prompts |
Request Example
{
"model": "veo3",
"prompt": "A drone shot flying over a tropical beach at sunset",
"aspect_ratio": "16:9"
}Response Example
{
"success": true,
"data": {
"task_id": "task_veo123",
"credits_used": 130,
"remaining_credits": 370,
"model": "veo3"
}
}Code Examples
curl -X POST https://gateway.bananapro.site/api/v1/videos/generate \
-H "Authorization: Bearer sk-your-api-key" \
-H "Content-Type: application/json" \
-d '{
"model": "veo3",
"prompt": "A drone shot flying over a tropical beach at sunset",
"aspect_ratio": "16:9"
}'